Bug 475442 - spurious dependency on esound-devel
spurious dependency on esound-devel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libgnome (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-09 03:49 EST by Bernie Innocenti
Modified: 2009-12-18 02:13 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:13:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bernie Innocenti 2008-12-09 03:49:07 EST
libgnome-devel depends on esound-devel.

Seems like a leftover dependency that could now be dropped for good.
Comment 1 Ray Strode [halfline] 2008-12-09 10:56:26 EST
should be fixed now. thanks.
Comment 2 Peter Robinson 2008-12-10 08:09:41 EST
Will this be pushed to F-10 too?
Comment 3 Ray Strode [halfline] 2008-12-10 13:15:15 EST
would you like it to be? I can.
Comment 4 Peter Robinson 2008-12-10 18:08:07 EST
Would be great :)
Comment 5 Fedora Update System 2008-12-10 23:31:31 EST
libgnome-2.24.1-9.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/libgnome-2.24.1-9.fc10
Comment 6 Bernie Innocenti 2008-12-10 23:57:59 EST
yay! esound must die die die die! :-)
Comment 7 Michael Cronenworth 2008-12-11 23:26:15 EST
Closed?

$ sudo rpm -e esound-devel
error: Failed dependencies:
	esound-devel is needed by (installed) libgnome-devel-2.24.1-8.fc10.x86_64
Comment 8 Michael Cronenworth 2008-12-11 23:27:03 EST
Sorry, excuse my bad comment... I had -8 instead of -9.
Comment 9 Bastien Nocera 2009-02-04 10:27:58 EST
Reopening. This is breaking applications in the stable release.

I don't see a problem leaving it as-is for rawhide, but it needs to be re-enabled for F10 itself.
Comment 10 Kevin Kofler 2009-02-17 22:30:08 EST
Why was this pushed out to stable despite the objections voiced in comment #9 and on the mailing list?
Comment 11 Michael Cronenworth 2009-02-18 00:06:55 EST
(In reply to comment #10)
> Why was this pushed out to stable despite the objections voiced in comment #9
> and on the mailing list?

There was no karma given in over two months (this bug was prior to me being in QA), although if it was announced on the mailing list prior to being pushed to stable then that is a problem, however, I cannot find a note of this issue in fedora-devel-list.
Comment 12 Peter Robinson 2009-04-22 06:10:00 EDT
I think this is fixed in F-11/rawhide now and rolled back in F-10. Any need to be open still?
Comment 13 Bastien Nocera 2009-04-22 06:51:08 EDT
(In reply to comment #12)
> I think this is fixed in F-11/rawhide now and rolled back in F-10. Any need to
> be open still?  

If it's been rolled back for F-10, then it should be fine to close.
Comment 14 Kevin Kofler 2009-04-22 13:51:26 EDT
It was not rolled back, libgnome-2.24.1-9.fc10 is the latest in dist-f10-updates.
Comment 15 Bug Zapper 2009-11-18 07:41:04 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2009-12-18 02:13:26 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.